<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
   <html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title></title>
  <link rel="stylesheet" href="media/stylesheet.css" />
<!-- template designed by Julien Damon based on PHPEdit's generated templates, and tweaked by Greg Beaver -->
<body bgcolor="#ffffff" ><a name="top"></a>
<h2>Element Index, Package  Ultimate-SEO-URLs</h2>
<ul>
</ul>
<a href="elementindex.html"><strong>Index of all elements</strong></a>
<br />
	<a href="elementindex_Ultimate-SEO-URLs.html#a">a</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#b">b</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#c">c</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#d">d</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#e">e</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#f">f</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#g">g</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#h">h</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#i">i</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#l">l</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#m">m</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#n">n</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#o">o</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#p">p</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#q">q</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#r">r</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#s">s</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#t">t</a>
	<a href="elementindex_Ultimate-SEO-URLs.html#u">u</a>

<br /><br />
<table border="0" width="100%">
<thead>
  <tr>
    <td><strong>a</strong></td>
    <td align='right'><a name="a">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$attributes</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$attributes">SEO_URL::$attributes</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$attributes array contains all the required settings for class</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$attributes</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL_INSTALLER.html#var$attributes">SEO_URL_INSTALLER::$attributes</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$attributes array holds information about this instance</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>add_sid</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodadd_sid">SEO_URL::add_sid()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to append session ID if needed</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>b</strong></td>
    <td align='right'><a name="b">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$base_url</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$base_url">SEO_URL::$base_url</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$base_url is the NONSSL URL for site</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$base_url_ssl</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$base_url_ssl">SEO_URL::$base_url_ssl</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$base_url_ssl is the secure URL for the site</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>c</strong></td>
    <td align='right'><a name="c">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$cache</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$cache">SEO_URL::$cache</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$cache is the per page data array that contains all of the previously stripped titles</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$cache_file</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$cache_file">SEO_URL::$cache_file</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$cache_file is the basename of the cache database entry</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$cache_query</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$cache_query">SEO_URL::$cache_query</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$cache_query is the resource_id used for database cache logic</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>cache_gc</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodcache_gc">SEO_URL::cache_gc()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to perform basic garbage collection for database cache system</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>calculate_performance</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodcalculate_performance">SEO_URL::calculate_performance()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function used to calculate and output the performance metrics of the class</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>check_redirect</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodcheck_redirect">SEO_URL::check_redirect()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to initialize the redirect logic</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>check_seo_page</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodcheck_seo_page">SEO_URL::check_seo_page()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to check if it's a valid redirect page</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>ConnectDB</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_DataBase.html#methodConnectDB">SEO_DataBase::ConnectDB()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to connect to MySQL</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>convert_time</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodconvert_time">SEO_URL::convert_time()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to convert time for cache methods</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>d</strong></td>
    <td align='right'><a name="d">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$data</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$data">SEO_URL::$data</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$data array contains all records retrieved from database cache</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$DB</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL_INSTALLER.html#var$DB">SEO_URL_INSTALLER::$DB</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Database object</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$db</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_DataBase.html#var$db">SEO_DataBase::$db</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Database name</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$DB</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$DB">SEO_URL::$DB</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$DB is the database object</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$default_config</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL_INSTALLER.html#var$default_config">SEO_URL_INSTALLER::$default_config</a><br>&nbsp;&nbsp;&nbsp;&nbsp;The default_config array has all the default settings which should be all that is needed to make the base class work.</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>DBPerform</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_DataBase.html#methodDBPerform">SEO_DataBase::DBPerform()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to perform DB inserts and updates - abstracted from osCommerce-MS-2.2 project</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>do_redirect</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methoddo_redirect">SEO_URL::do_redirect()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to perform redirect</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>e</strong></td>
    <td align='right'><a name="e">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>eval_defaults</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL_INSTALLER.html#methodeval_defaults">SEO_URL_INSTALLER::eval_defaults()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;This function evaluates the default serrings into defined constants</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>expand</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodexpand">SEO_URL::expand()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to expand the SEO_CONVERT_SET group</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>f</strong></td>
    <td align='right'><a name="f">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>FetchArray</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_DataBase.html#methodFetchArray">SEO_DataBase::FetchArray()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to fetch array</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>Free</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_DataBase.html#methodFree">SEO_DataBase::Free()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to free the resource</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>g</strong></td>
    <td align='right'><a name="g">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>generate_articles_cache</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodgenerate_articles_cache">SEO_URL::generate_articles_cache()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to generate articles cache entries</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>generate_categories_cache</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodgenerate_categories_cache">SEO_URL::generate_categories_cache()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to generate categories cache entries</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>generate_information_cache</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodgenerate_information_cache">SEO_URL::generate_information_cache()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to generate information cache entries</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>generate_manufacturers_cache</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodgenerate_manufacturers_cache">SEO_URL::generate_manufacturers_cache()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to generate manufacturers cache entries</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>generate_products_cache</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodgenerate_products_cache">SEO_URL::generate_products_cache()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to generate products cache entries</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>generate_topics_cache</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodgenerate_topics_cache">SEO_URL::generate_topics_cache()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to generate topics cache entries</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>GetParentCategories</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodGetParentCategories">SEO_URL::GetParentCategories()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Recursion function to retrieve parent categories from category ID</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>get_article_name</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodget_article_name">SEO_URL::get_article_name()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to get the article name. Use evaluated cache, per page cache, or database query in that order of precedent.</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>get_cache</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodget_cache">SEO_URL::get_cache()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to get cache entry</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>get_cache_memory</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodget_cache_memory">SEO_URL::get_cache_memory()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to get cache from memory</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>get_category_name</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodget_category_name">SEO_URL::get_category_name()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to get the category name. Use evaluated cache, per page cache, or database query in that order of precedent</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>get_full_cPath</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodget_full_cPath">SEO_URL::get_full_cPath()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to retrieve full cPath from category ID</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>get_information_name</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodget_information_name">SEO_URL::get_information_name()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to get the informatin name. Use evaluated cache, per page cache, or database query in that order of precedent.</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>get_manufacturer_name</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodget_manufacturer_name">SEO_URL::get_manufacturer_name()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to get the manufacturer name. Use evaluated cache, per page cache, or database query in that order of precedent.</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>get_product_name</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodget_product_name">SEO_URL::get_product_name()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to get the product name. Use evaluated cache, per page cache, or database query in that order of precedent</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>get_topic_name</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodget_topic_name">SEO_URL::get_topic_name()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to get the topic name. Use evaluated cache, per page cache, or database query in that order of precedent.</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>h</strong></td>
    <td align='right'><a name="h">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$host</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_DataBase.html#var$host">SEO_DataBase::$host</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Database host (localhost, IP based, etc)</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>href_link</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodhref_link">SEO_URL::href_link()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to return SEO URL link SEO'd with stock generattion for error fallback</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>i</strong></td>
    <td align='right'><a name="i">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$installer</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$installer">SEO_URL::$installer</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$installer is the installer object</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$is_seopage</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$is_seopage">SEO_URL::$is_seopage</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$is_seopage holds value as to whether page is in allowed SEO pages</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>implode_assoc</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodimplode_assoc">SEO_URL::implode_assoc()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to implode an associative array</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>init</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL_INSTALLER.html#methodinit">SEO_URL_INSTALLER::init()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Initializer - if there are settings not defined the default config will be used and database settings installed.</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>InsertID</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_DataBase.html#methodInsertID">SEO_DataBase::InsertID()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to fetch the last insertID</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>install_settings</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL_INSTALLER.html#methodinstall_settings">SEO_URL_INSTALLER::install_settings()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;This function installs the database settings</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>is_attribute_string</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodis_attribute_string">SEO_URL::is_attribute_string()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to check if the products_id contains an attribute</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>is_cached</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodis_cached">SEO_URL::is_cached()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to check if the cache is in the database and expired</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>is_cPath_string</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodis_cPath_string">SEO_URL::is_cPath_string()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to check if cPath is in the parameter string</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>is_product_string</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodis_product_string">SEO_URL::is_product_string()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to check if the params contains a products_id</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>l</strong></td>
    <td align='right'><a name="l">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$languages_id</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$languages_id">SEO_URL::$languages_id</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$languages_id contains the language_id for this instance</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$link_id</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_DataBase.html#var$link_id">SEO_DataBase::$link_id</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Database link</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>m</strong></td>
    <td align='right'><a name="m">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>make_url</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodmake_url">SEO_URL::make_url()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to return the generated SEO URL</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>n</strong></td>
    <td align='right'><a name="n">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$need_redirect</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$need_redirect">SEO_URL::$need_redirect</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$need_redirect determines whether the URL needs to be redirected</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>need_redirect</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodneed_redirect">SEO_URL::need_redirect()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to check if the URL needs to be redirected</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>not_null</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodnot_null">SEO_URL::not_null()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to check if a value is NULL</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>NumRows</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_DataBase.html#methodNumRows">SEO_DataBase::NumRows()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to fetch the number of rows</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>o</strong></td>
    <td align='right'><a name="o">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>output_string</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodoutput_string">SEO_URL::output_string()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to output a translated or sanitized string</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>p</strong></td>
    <td align='right'><a name="p">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$pass</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_DataBase.html#var$pass">SEO_DataBase::$pass</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Database password</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$path_info</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$path_info">SEO_URL::$path_info</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$path_info contains the getenv('PATH_INFO') value</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$performance</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$performance">SEO_URL::$performance</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$performance array contains evaluation metric data</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>parse_input_field_data</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodparse_input_field_data">SEO_URL::parse_input_field_data()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to translate a string</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>parse_parameters</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodparse_parameters">SEO_URL::parse_parameters()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;SFunction to parse the parameters into an SEO URL</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>parse_path</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodparse_path">SEO_URL::parse_path()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to parse the path for old SEF URLs</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>PrintArray</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodPrintArray">SEO_URL::PrintArray()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to print an array within pre tags, debug use</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>profile</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodprofile">SEO_URL::profile()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function used to output class profile</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>q</strong></td>
    <td align='right'><a name="q">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>Query</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_DataBase.html#methodQuery">SEO_DataBase::Query()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to perform queries</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>r</strong></td>
    <td align='right'><a name="r">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$real_uri</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$real_uri">SEO_URL::$real_uri</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$real_uri contains the $_SERVER['SCRIPT_NAME'] . '?' . $_SERVER['QUERY_STRING'] value</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$reg_anchors</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$reg_anchors">SEO_URL::$reg_anchors</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$reg_anchors holds the anchors used by the .htaccess rewrites</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>s</strong></td>
    <td align='right'><a name="s">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>seo.class.php</strong></td>
    <td width="100%" align="left" valign="top">procedural page <a href="Ultimate-SEO-URLs/_classes_seo_class_php.html">seo.class.php</a></td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>save_cache</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodsave_cache">SEO_URL::save_cache()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to save the cache to database</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>SelectDB</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_DataBase.html#methodSelectDB">SEO_DataBase::SelectDB()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to select the database</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>SEO_DataBase</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_DataBase.html#methodSEO_DataBase">SEO_DataBase::SEO_DataBase()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;MySQL_DataBase class constructor</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>SEO_DataBase</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, class <a href="Ultimate-SEO-URLs/SEO_DataBase.html">SEO_DataBase</a><br>&nbsp;&nbsp;&nbsp;&nbsp;SEO_DataBase Class</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>SEO_URL</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodSEO_URL">SEO_URL::SEO_URL()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;SEO_URL class constructor</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>SEO_URL</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, class <a href="Ultimate-SEO-URLs/SEO_URL.html">SEO_URL</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Ultimate SEO URLs Base Class</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>SEO_URL_INSTALLER</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL_INSTALLER.html#methodSEO_URL_INSTALLER">SEO_URL_INSTALLER::SEO_URL_INSTALLER()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;SEO_URL_INSTALLER class constructor</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>SEO_URL_INSTALLER</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, class <a href="Ultimate-SEO-URLs/SEO_URL_INSTALLER.html">SEO_URL_INSTALLER</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Ultimate SEO URLs Installer and Configuration Class</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>SessionID</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodSessionID">SEO_URL::SessionID()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to return the session ID</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>SessionName</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodSessionName">SEO_URL::SessionName()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to return the session name</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>short_name</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodshort_name">SEO_URL::short_name()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to return the short word filtered string</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>Slashes</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_DataBase.html#methodSlashes">SEO_DataBase::Slashes()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to add slashes</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>start</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodstart">SEO_URL::start()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to start time for performance metric</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>stock_href_link</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodstock_href_link">SEO_URL::stock_href_link()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Stock function, fallback use</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>stop</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodstop">SEO_URL::stop()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to stop time for performance metric</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>strip</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL.html#methodstrip">SEO_URL::strip()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Function to strip the string of punctuation and white space</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>t</strong></td>
    <td align='right'><a name="t">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$timestamp</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$timestamp">SEO_URL::$timestamp</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$timestamp simply holds the temp variable for time calculations</td>
  </tr>
  </tbody>
<thead>
  <tr>
    <td><strong>u</strong></td>
    <td align='right'><a name="u">&nbsp; </a>
                      <a href="#top">top</a><br /></td>
  </tr>
</thead>
<tbody>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$uri</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$uri">SEO_URL::$uri</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$uri contains the $_SERVER['REQUEST_URI'] value</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$uri_parsed</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_URL.html#var$uri_parsed">SEO_URL::$uri_parsed</a><br>&nbsp;&nbsp;&nbsp;&nbsp;$uri_parsed contains the parsed uri value array</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>$user</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, variable <a href="Ultimate-SEO-URLs/SEO_DataBase.html#var$user">SEO_DataBase::$user</a><br>&nbsp;&nbsp;&nbsp;&nbsp;Database user</td>
  </tr>
    <tr>
    <td>&nbsp;&nbsp;&nbsp;<strong>uninstall_settings</strong></td>
    <td width="100%" align="left" valign="top">in file seo.class.php, method <a href="Ultimate-SEO-URLs/SEO_URL_INSTALLER.html#methoduninstall_settings">SEO_URL_INSTALLER::uninstall_settings()</a><br>&nbsp;&nbsp;&nbsp;&nbsp;This function removes the database settings (configuration and cache)</td>
  </tr>
  </tbody>
</table></body>
</html>